net.corda.core.crypto

## Class MerkleTree.Companion

- net.corda.core.crypto.MerkleTree.Companion

- Enclosing class:
    MerkleTree

      public static class MerkleTree.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MerkleTree` | `getMerkleTree(java.util.List<? extends net.corda.core.crypto.SecureHash> allLeavesHashes)` Merkle tree building using hashes, with zero hash padding to full power of 2.

- - ### Method Detail

    - #### getMerkleTree

          public MerkleTree getMerkleTree(java.util.List<? extends net.corda.core.crypto.SecureHash> allLeavesHashes)

      Merkle tree building using hashes, with zero hash padding to full power of 2.